To insert code in a forum thread or comment wrap it in code tags : <code>...</code>.
STRIKING MULTIFLEX VERSION 1.2.9.7 RELEASE THREAD - 7 December 2018
  • STRIKING MULTIFLEX VER 1.2.9.7 RELEASE - 7 December 2018 - WP 5.0+ compatible.


    We are pleased to release our 37TH update of Striking MultiFlex.  This version of Striking MultiFlex is compatible with WordPress 5.0 and in addition is full compatibility with all supported PHP Versions including PHP 7.2 series, PHP 7.1 series, PHP 7.0. series and and php 5.6 series. Be aware some plugins are not yet compatible with php 7.2 so investigate your plugins prior to making that jump.

    You should now see an update notice in your website dashboard advising of the availability of the update. If you do not see it please go to your Striking Advanced Panel/ Update your Striking Theme admin tab and click on the Check for Updates button.

    GUTENBERG NOTES AND WP 5.0 UPDATING:
    Please see the comment below where we discuss the best updating order and also what you can ignore in the WP 5.0/Gutenberg panel that shows up upon updating your WP core. We will also add some comments later on Friday about what the fuss is all about in respect of Gutenberg and what is good, and perhaps not so good.

    -------------------

    The full theme package is approved at ThemeForest and you can download the full theme build via your Downloads tab when logged into your ThemeForest account.

    The Striking MultiFlex ThemeForest demo site found at has MultiFlex Ver 1.2.9.7 and WP 5.0 installed:

    Striking MultiFlex ThemeForest Demo Site

    WooCommerce Demo
    Striking MultiFlex has some very nice and convenient Woo customization options and as a proof of compatibility we maintain a woo store at the Striking MultiFlex Demo site found at this link:

    Woo Demo 3.5.2 Store Demonstration.

    The woo demo content is installed.   We suggest you view the this webpage which contains an image of our revised Woo Settings group and it discusses some of the settings available to assist you in customizing your Woo store.

    If you are just building out a woo store for the first time we are pleased to advise we now include a set of installable woo demo content in this build, found in the Advanced Panel -> Admin Options -> Demo Content to Install setting.


    NOTES on this MULTIFLEX RELEASE
    You can now update to the latest Striking MultiFlex from any past version installed on your website. We have removed the limitation on how far back one could go in versions before having to update by ftp.  It is with some trepidation that we remove this limitation - the swap file if one is going back to a release in the 2014-2016 timeframe is very large and on many lower quality hosts (standard Bluehost, Godaddy, MediaTemple, Hostmonster, Hostgator, 1&1, WP Engine packages, etc) you most likely will hit a runtime or memory headroom limit before the swap routine can fully run, and thus the update would fail.

    So if you are a past build and installing the update fails the culprit is 99.99999% your hosting, not the theme!

    1. This release is WP 5.0, Woocommerce 3.5.2+ and PHP 7.033+, PHP 7.1.25+ and PHP 7.2.13 compatible
    2. There is a no change to the Child Themes.
    3. All questions about updating, and any queries about possible bugs in these releases should be posted below, not in the general forum!  This way we all only has to review this thread in order to find pertinent information related to this release.  The release and the updating function have been tested (images attached)
    4. We recommend if you are updating from old Striking MultiFlex versions released in 2014-2017 that you review the prior release threads. There are some steps one has to take. Or hire us to do the updates for you! We guarantee the outcome.
    5. Plugins such as ubermenu require a code insert into the header.php for functionality.  The header.php and footer.php have been changed in this theme update, so there is a action required on your part for this release via-a-vis the header or footer file -> the past header.php and footer.php file will have been replaced after you have updated. You will have to redo your code changes to the header.php or footer.php file after the update. If you are using a child theme you need to update the header.php & footer.php manually by copying it from the parent theme into the child theme and then redo your code changes to those files. Otherwise new added abilities and settings will not work.


    CHANGELOG:
    Please see the Changelog section below for details of changes.  This is a maintenance focused release.

    You can also review the actual list of changed files and the details of each file change in our theme api - did you know that no other premium wp theme developer has such a visual system enabling you to view and compare the changes from one build to the next such as we have?  Click on the Files and Details tabs to view what has changed at this link:

    Striking MultiFlex Ver 1.2.9.7 Release Page & List of Added/Changed/Deleted files and Change Highlights

    UPDATING:
    Some users will encounter errors due to hosting factors when attempting to update.  If you are with a budget host such as Godaddy, 1&1, MediaTemple, Bluehost, WP Engine and many others, there is a possibility you may encounter an issue when attempting to update.  These are not theme related and outside our control as theme developers!

    One of the sections below details examples of the hosting errors, and how to resolve. Step 1: Click on the following link and Do Not Panic......... :))

    I am ready to panic as the internal update failed - what do I do?

    PLUGIN COMPATIBILITY:
    Striking MultiFlex is historically compatible with thousands of plugins, and we guarantee that we will fix compatibility issues for a select group of the most popular plugins such as WP SEO, WPML, PolyLang, Woo, Easy Digital Downloads, bbpress, buddypress, WP Symposium, Essential Grid, Post Types Order and several more.  But be advised support for other plugins will often fall into paid support.  And if the plugin is not listed as WP 4.9.8 compatible, we will not even consider examining the matter.

    Please note we removed our formal support for WP Ecommerce effective our version 1.2.8.2.  The plugin developers seem to have gone in a diff direction with how they are coding their plugin, and we do not feel we can maintain compatibility without more work then we are prepared to undertake, given that to the best of our knowledge our entire customer base uses either Woo or Easy Digital Downloads, Easy Paypal or other such plugins for ecommerce.

    BUG & REPORTING:
    A note for the obstinate out there: should you find what you believe is a potential bug, or a compatibility with a common plugin, it is not the end of the world!  Post your potential finding below along with links, and screenshots if possible, we will verify, and usually post a fix or provide a replacement file for you to download and install.

    FINAL WORDS:
    This release, like all in the past, benefits from the comments and suggestions of our user base and we thank you all in advance.

    This thread may see further updates so please check back occasionally.

    Best Regards
    Theme Support Team
  • 10 Comments sorted by
  • VERSION 1.2.9.7 CHANGELOG



    We have removed the demo content from being part of the theme build as it added several megabytes to the size of the theme. Now if installing the demo content package is pulled from our api servers and auto installed from them - i.e. it is installed remotely.

    We also added some support for Responsive Menu Pro so that if you are using it in Striking it is easier to deploy. Otherwise the theme update is mainly maintenance oriented.

    1. Updated: Slider revolution to 5.4.8.1
    2. Updated: Admin language file.
    3. Added: Support for child-theme version information (so you see you are using a child theme when in the Striking Panel webpages)
    4. Added: Min-height for tinymce visual mode in admin area.
    5. Added: Support for responsive menu (pro) plugin
    6. Added: Responsive Menu shortcode support in header.php
    7. Added: target container setting for responsive menu (pro) plugin.
    8. Added: Support for multiselect option in page options.
    9. Improved: Quantity Spinners CSS. Now + / - Are right / left of Quantity field.
    10. Tweaked: Escape html for gallery image selector in slider and portfolio items so that no potential vulnerability.
    11. Tweaked: Various css fixes in theme default css.
    12. Changed: Demo content import xml file. Removed unwanted code in menu items.
    13. Fixed: Woocommerec Spinner JS when add to cart in cart page was clicked the spinners where gone.
    14. Fixed: Various Woocommerce css issues for ipad/iphone.
    15. Fixed: error message in tgm plugin updater when updating more then one plugin at the time.
    16. Fixed: Ssl issue for flicker widget
    17. Removed: Qufon css fix for IE8/IE9
    18. Reverted: Woo single product image and thumbnail has_post_thumbnail



    CHILD THEME USERS:
    There is no change to the simple child theme we supply for free with the theme. If you are an owner of our Advanced Child theme there is a minor update but you can update your main theme build without implementing the child update.

    b) Advanced Child Theme: the advanced child is a $25 premium product built by the Striking Team which allows a user to modify a theme file irrespective of its depth in theme code.  If you wish to buy a copy of the Advanced Child please message one of the team members.  Existing advanced child users should contact James (Websys) of the development team by sending a personal forum message to obtain an updated copy.

  • ORDER OF UPDATING AND GUTENBERG - WHAT YOU DON'T NEED TO INSTALL!



    WP 5.0 introduces the Gutenberg editor. This is an attempt by WordPress to have a more robust visual editor experience, but in the editor panel instead of a front end WYSIWYG editor such as Elementor or the Visual Composer.

    First your order of updating is as follows and please note we strongly recommend you undertake a backup first – customers on our webhosting can ignore all of this as we take care of everything:

    1) Update Your Striking MultiFlex to Ver 1.2.9.7
    2) Go to the WPC Advanced Settings Panel.
    3) Look for the setting: Use Gutenberg Editor>. It should be in the “OFF” position. If not then toggle it OFF and save. See the image attached to this comment.
    4) Update Your Plugins
    5) Update to WordPress 5.0 and wait for its splash screen to come up
    6) Review the splash screen of new WP Features carefully, but ignore any options to install the “Classic Editor” as this is not needed! We explain below.
    7) Exit the splash screen by going to the Dashboard home.

    If you ever need to get to the WP 5.0 splash page again as you wish to review the commentary use the following link:

    yourdomain.com/wp-admin/about.php

    and obviously change “yourdomain” to the name of your website.

    Before we go any further we will explain why you do not need to install the Classic Editor Plugin. The classic editor actually is still in the WP core. If using the default theme or most other themes once WP 5.0 is installed it takes over the management of the edit panel, and suppresses the classic editor and the traditional format of the edit panel in place of the Gutenberg block editor and the new edit panel format. All installing the classic editor plugin does is suppress the block editor/new formatting and allow the classic editor/traditional formatting to show again. The plugin is nothing more then a few lines of code. Its not an actual standalone editor.

    But in our themes we recognized what was happening a long time ago and so our users would not get bamboozled we put a setting into our Advanced Panel – the “Use Gutenberg Editor” setting with a default of “OFF” almost a year ago! And this setting naturally disables all the new Block editor functions and allows the classic functions to continue displaying.

    So the result for our theme owners is that you update, and everything continues as normal. How great is that! Paul from our team gets all the credit for the inspiration on this as well as implementing it. He managed code tracking as WP went through its many release candidates and right up to the time WP 5.0 was released he was busy making changes to WPC (and Striking).


    So What Do We Think of Gutenberg?

    We are fully compatible with Gutenberg for the experience it offers in its own right, but we have not mapped our shortcodes as blocks. Whether we will or not the jury is still out on this. Gutenberg is quite primitive and no matter how we attempt to measure it against a true WYSIWYG editor, it still comes up very, very short.

    We will publish another time why WordPress is pushing Gutenberg so hard (its mainly due to lost business at the parent wordpress.com) but a sign of how unhappy the wordpress community is can be determined by the fact a number of developers have forked WordPress into a new entity called “Classic Press” which preserves WordPress as of 4.9.8 and will update from there but be selective about the features it grabs from WordPress and will deliberately exclude all Gutenberg related coding. As WordPress is “GPL” they can do this without legal ramifications although of course the owner of WordPress will not be very happy. But he can’t do anything about it given the gpl nature of WordPress in the first place.

    COME BACK AGAIN MID WEEK AND WE WILL PUBLISH SOME VIDEOS ON GUTENBERG USE IN THE THEME.
    Disable Gutenberg Editor.jpg
    857 x 1388 - 134K
  • BUG REPORTING



    For when we make those "rare" coding mistakes, we will list them here along with our action.

    So far none but early days!

    We had some really, really, really minuscule bugs in the last release and they are all fixed in Ver 1.2.9.7! :D :D

  • UPDATING BY FTP



    Steps to installing by ftp:

    1. Download the latest Striking MultiFlex Theme Package from Themeforest to your hard drive.  It is a master zip containing a variety of items, including folders, files and other zips.  Unpack the master zip.
    2. One of the other items you will now see is another zip - striking_r.  Unpack this zip as well.  You will now have a normal folder of the same name sitting on your desktop.
    3. Using your ftp program, open up your site, and on the host side of the ftp window navigate to your website wordpress installation usually found in the "public_html" directory, and from there to the themes directory (wp-content/themes).  You will see you already have a striking_r folder sitting in the theme directory which is your old version of Striking MultiFlex
    4. Simply drag over the striking_r folder from the drive side to the themes folder side dropping it in a white space area.  This is important - make certain you drop the folder in a blank area, not overtop the existing folder!  Depending on your ftp program it may pop up a dialog asking if you wish to overwrite or merge your transfer with the existing striking_r folder to which you click “Yes” and it will proceed with the transfer.
    5. Depending on your connection the transfer may take anywhere from 5 to 20 minutes. &nbsp:You do not need do anything at all during the transfer.
    6. After the transfer is complete, log into your website and navigate to the Striking Advanced Panel ->Admin tab and clear the theme cache using the Clear Cache setting.
    7. ALL DONE!
  • Hi,

    OS = Windows 10
    Browser = Firefox

    I updated to the new build earlier this evening (13th December 2018). Our site seems to be working ok, but after updating I tried to clear the cache as usual, using the option under the Advanced Tab. However, I am not sure whether the cache cleared or not, as I received the following message in response:

    "504 Gateway Time-out
    The server didn't respond in time"

    Is this likely to be a problem with my webhost, or some issue to do with the latest version of Wordpress?

    Again, just to clarify, our site seems to be working fine, with no other problems.

    I am just asking for peace of mind.

    Regards,

    Alan
    www.crichbaptist.org
  • Hi!
    I just downloaded the files from Themeforest in order to update but after installing the new version on the ftp it still is 1.2.9.6. Where can I find the files to the latest version of the theme?
    Regards,
    Merilla

    Hi
    Enter your purchase key into the advanced settings and save the settings. Then update from within striking itself. After the update you have a complete copy in your install which you can grab by ftp download.

    1.2.9.7 is now available at ThemeForest for download

    Best Regards
    Support Team
    Paul
  • BackuPs said:

    only in firefox? or also in chrome and ie?


    I have just tried clearing the cache in the Chrome browser as you asked. I still received the following message:

    "504 Gateway Time-out
    The server didn't respond in time"

    As before, the site does seem to be displaying as expected.

    I haven't tried I.E.

    Regards,

    Alan

    ------------

    Hi Alan,

    I am lost..

    "504 Gateway Time-out
    The server didn't respond in time"

    As before, the site does seem to be displaying as expected. If you get a gateway error the site cant display as expected.

    Do you get the error in Chrome Yes/No?
    Do you get the error in Firefox Yes/No?
    Do you get the error in Ie Yes/No?

    If all Yes you should contact your hoster as this is server related. The hoster should fix your issues regarding to this error.

    https://www.lifewire.com/504-gateway-timeout-error-explained-2622941

    Note: You can try and turn off all plugins and see if the issue goes away. if yes then find the plugin causing it.

    Btw: if i visit your website in any browser i do not get the error.

    Best regards,
    Paul


  • Paul,

    If this helps to clarify the situation, I too can view the site quite well. Everything displays as it should. So that is not the point.

    As mentioned before, "after updating I tried to clear the cache as usual, using the option under the Striking Multiflex Advanced Tab. However, I am not sure whether the cache was cleared or not, as seemingly the clear cache function does not complete". It is at this point that I get the 504 message. I will also message my webhost and ask whether he can see anything on the server that might be causing the problem.

    I will get back to you when I have his response.

    Regards,

    Alan
    www.crichbaptist.org
    ---------

    Hi Alan

    Please clear your cache again and let me know the error message. You may not get one - it might have been a momentary hiccup on the server.

    You can ftp into your site, go to the following path immediately after clearing your cache (and before you look at your site again):

    public_html/wp-content/uploads/strikingr/images

    and if the images folder is empty then you have cleared your cache successfully.

    I would not get very worked up about this. Looking at your site I think everything is fine.

    Best Regards
    Support Team
    James


    -----------
    Hi James & Paul,

    I have heard from my webhost and he has almost certainly confirmed that the problem is due to an issue with a relatively new security package/firewall that the host has implemented on the servers. He has messaged the developers of the security package/firewall about this and expects to hear from them early next week.

    The site continues to display perfectly!

    Best wishes,

    Alan
    www.crichbaptist.org



  • Hi could you get in touch with me I would like to request a paid update support. Many thanks in advance
  • Hi Zizzy,

    Email sent to you a few moments ago.

    Best Regards
    James
This discussion has been closed.
All Discussions